Debian Bug report logs - #623116
www.debian.org: New Maintainers' Guide: missing quotes in dquilt alias definition

version graph

Package: maint-guide; Maintainer for maint-guide is Osamu Aoki <osamu@debian.org>; Source for maint-guide is src:maint-guide.

Reported by: Dominique Dumont <domi.dumont@free.fr>

Date: Sun, 17 Apr 2011 13:33:02 UTC

Severity: normal

Fixed in version maint-guide/1.2.26

Done: Osamu Aoki <osamu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, xoswald@debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#623116; Package www.debian.org. (Sun, 17 Apr 2011 13:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Dumont <domi.dumont@free.fr>:
New Bug report received and forwarded. Copy sent to xoswald@debian.org, Debian WWW Team <debian-www@lists.debian.org>. (Sun, 17 Apr 2011 13:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominique Dumont <domi.dumont@free.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: www.debian.org: New Maintainers' Guide: missing quotes in dquilt alias definition
Date: Sun, 17 Apr 2011 15:27:58 +0200
Package: www.debian.org
Severity: normal


Hello

In section 3.1 "Set up quilt" of the New Maintainers' Guide [1], the
dquilt alias creation example is missing quotes.

Here's what one gets using the command shown in section 3.1:

$ alias dquilt=quilt --quiltrc=~/.quiltrc-dpkg
$ alias dquilt
alias dquilt='quilt'

The alias command should be written as:

  alias dquilt="quilt --quiltrc=~/.quiltrc-dpkg"


All the best

[1] http://www.debian.org/doc/maint-guide/modify.en.html

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#623116; Package www.debian.org. (Sun, 17 Apr 2011 14:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <david@tilapin.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sun, 17 Apr 2011 14:33:06 GMT) Full text and rfc822 format available.

Message #10 received at 623116@bugs.debian.org (full text, mbox):

From: David Prévot <david@tilapin.org>
To: Dominique Dumont <domi.dumont@free.fr>, 623116@bugs.debian.org, Osamu Aoki <osamu@debian.org>
Subject: Re: Bug#623116: www.debian.org: New Maintainers' Guide: missing quotes in dquilt alias definition
Date: Sun, 17 Apr 2011 10:04:05 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

reassign 623116 maint-guide
thanks

Le 17/04/2011 09:27, Dominique Dumont a écrit :
> Package: www.debian.org
> Severity: normal
> 
> 
> Hello
> 
> In section 3.1 "Set up quilt" of the New Maintainers' Guide [1], the
> dquilt alias creation example is missing quotes.
> 
> Here's what one gets using the command shown in section 3.1:
> 
> $ alias dquilt=quilt --quiltrc=~/.quiltrc-dpkg
> $ alias dquilt
> alias dquilt='quilt'
> 
> The alias command should be written as:
> 
>   alias dquilt="quilt --quiltrc=~/.quiltrc-dpkg"
> 
> 
> All the best
> 
> [1] http://www.debian.org/doc/maint-guide/modify.en.html
> 
> -- System Information:
> Debian Release: wheezy/sid
>   APT prefers unstable
>   APT policy: (990, 'unstable'), (500, 'testing'), (1, 'experimental')
> Architecture: amd64 (x86_64)
> 
> Kernel: Linux 2.6.38-2-amd64 (SMP w/4 CPU cores)
> Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/bash
> 
> 
> 

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNqvNSAAoJELgqIXr9/gny8fcP/09yGG232fN88EFVHTBVwTT7
/5v1qDcVXVCRd55cFipcXcAG240UYsOpTDj6KSMFMUSWgdkYWHHiXnAzOrxykUIr
ey35V5eFbU5Z8wzknanI606OlR+gCG51SGFrSk3887YPiXxQn9cb1CjnAcM44Pz3
sKdDlsggw8TF6LEkOriPi+kyWZnpgEECsEPP8vx6h3erp2iv72IkhtuJ/NXM6Ubc
lCGsmt3tokx8iFfJfkE1uC6jn1NSJxZ82b0pDc2VcbBWnYm72sE5CX5KVWY/w6c+
pT2WwcWl3E41+tO8kXf8nnUS9Mu1Xp+ZoLYUOQo5kjkOjvqU5NUYJBNZhT9KbTQQ
9Ybs4PnuZRponQSsGyalxBF06doR/pHa6nlInVdei8ilKiK3QxgttPzj6XVNdAYo
iuLE3DTAQUlwL3YYi1F9NDywcVNWyqhbBnTeAG3rK/mI07Ql4rFIFROql5kViTP/
3QaDPhF1Iofo81+JXTl7Nj+ivJ7h0lgilOwt+zIlKkFlx+8vKiNOGHTEkp3u1lNo
OL3wad3bTyAEK/S/hRgEHk+lOt5d/AdnPFER3rtiIAfVEVwhtdO5yLxZZtSM2XMH
4owfKs4YKVpSoKWkr9cVMR2s3jGES+a5WLZ5G5i8d9/fNIS4nFXzq5kUUTSeYgMr
2eKFNBqNuRpETNHZlq03
=gChY
-----END PGP SIGNATURE-----




Bug reassigned from package 'www.debian.org' to 'maint-guide'. Request was from David Prévot <david@tilapin.org> to control@bugs.debian.org. (Sun, 17 Apr 2011 14:33:07 GMT) Full text and rfc822 format available.

Reply sent to Osamu Aoki <osamu@debian.org>:
You have taken responsibility. (Thu, 05 May 2011 11:52:39 GMT) Full text and rfc822 format available.

Notification sent to Dominique Dumont <domi.dumont@free.fr>:
Bug acknowledged by developer. (Thu, 05 May 2011 11:52:44 GMT) Full text and rfc822 format available.

Message #17 received at 623116-close@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 623116-close@bugs.debian.org
Subject: Bug#623116: fixed in maint-guide 1.2.26
Date: Thu, 05 May 2011 11:48:56 +0000
Source: maint-guide
Source-Version: 1.2.26

We believe that the bug you reported is fixed in the latest version of
maint-guide, which is due to be installed in the Debian FTP archive:

maint-guide-fr_1.2.26_all.deb
  to main/m/maint-guide/maint-guide-fr_1.2.26_all.deb
maint-guide-ja_1.2.26_all.deb
  to main/m/maint-guide/maint-guide-ja_1.2.26_all.deb
maint-guide_1.2.26.dsc
  to main/m/maint-guide/maint-guide_1.2.26.dsc
maint-guide_1.2.26.tar.gz
  to main/m/maint-guide/maint-guide_1.2.26.tar.gz
maint-guide_1.2.26_all.deb
  to main/m/maint-guide/maint-guide_1.2.26_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 623116@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Osamu Aoki <osamu@debian.org> (supplier of updated maint-guide package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 05 May 2011 16:47:13 +0900
Source: maint-guide
Binary: maint-guide maint-guide-fr maint-guide-ja
Architecture: source all
Version: 1.2.26
Distribution: unstable
Urgency: low
Maintainer: Osamu Aoki <osamu@debian.org>
Changed-By: Osamu Aoki <osamu@debian.org>
Description: 
 maint-guide - Debian New Maintainers' Guide
 maint-guide-fr - Debian New Maintainers' Guide
 maint-guide-ja - Debian New Maintainers' Guide
Closes: 609607 609679 609937 610362 611769 618352 621817 623116
Changes: 
 maint-guide (1.2.26) unstable; urgency=low
 .
   * Converted to DocBook XML format. Closes: #609679
   * Organized all URL references into common.ent.
   * Complete English style checks and corrections by Justin B Rye.
   * Fixed issues caused by debiandoc-sgml bugs #624099 and #624097 manually.
     Closes: #621817, #623116
   * Converted document to use dquilt to keep quilt default untouched.
   * Rewrote and reorganized entire document with inputs from the BTS reports,
     Justin B Rye, David Prévot, Serafeim Zanikolas, and others.  Chapter 1 had
     major addition of "Social dynamics of Debian" with pointers to Stefano
     Zacchiroli's PDF slides.  Chapter 2 was reorganized with new detailed
     explanation on "Package name and version" and clear mention of non-native
     and native packages.  Chapter 3 added DEP-3 for "Fixing upstream bugs".
     Chapter 4 added DEP-5 for "copyright".  Chapter 5 fixed LSB for
     "package.init and package.default" and added "source/options".  Chapter 7
     added "Suspicious changes".  Contents relating to "Including orig.tar.gz for
     upload" were moved from Chapter 6 to Chapter 8 and reorganized.
     Closes: #609607, #609937, #610362, #611769, #618352
   * Updated Japanese and French translation to be 100% current.
   * Build packages only for good translations: en fr ja
Checksums-Sha1: 
 1de2a0a01774aeacc36be44cab7c1d6a2089e87f 1278 maint-guide_1.2.26.dsc
 6ae52d880d6abaf7a28f1523233b35af5b8acb0b 1172591 maint-guide_1.2.26.tar.gz
 0bce025a59b2654502fc9d50eebb6de90fa947b8 503946 maint-guide_1.2.26_all.deb
 5c171a434c60c83e1ef70c1202ae24a9b0bc8bfa 535272 maint-guide-fr_1.2.26_all.deb
 9adbca6d6df4f9a155e61273ca0fd06e3b793cbc 631666 maint-guide-ja_1.2.26_all.deb
Checksums-Sha256: 
 3542766426676a796183dc1531de931a27046fe85e2a6886149b4cd3f3aaf9da 1278 maint-guide_1.2.26.dsc
 ecbdeeab5f20bdb2d99d919a1ccec5e1b9092bc7863e5a274785bd0fa4caae25 1172591 maint-guide_1.2.26.tar.gz
 35a2e64b70e6c43be2a2b515c79ede038dda7c345c9f6effc4ad9992bdbc073c 503946 maint-guide_1.2.26_all.deb
 32f3ca9648adbae4a154a85177aadd8089d60ebda2a638d602c9d7f191c190a3 535272 maint-guide-fr_1.2.26_all.deb
 2173910a9f3ee6a75c4d22290b0d9eb81786c166d1bf200dc3baf0e991d6835f 631666 maint-guide-ja_1.2.26_all.deb
Files: 
 070778f58425939ed5af2b96adc6af15 1278 doc optional maint-guide_1.2.26.dsc
 c65114cb40eefe2f7babee0738ee1893 1172591 doc optional maint-guide_1.2.26.tar.gz
 cec19160c322efd1fe8715277a8dae0c 503946 doc optional maint-guide_1.2.26_all.deb
 87207250549141613e13cce061d04495 535272 doc optional maint-guide-fr_1.2.26_all.deb
 d2698d068aa0c7c1e2da091538d73445 631666 doc optional maint-guide-ja_1.2.26_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk3CiRAACgkQ6A/EwagGHzI1GgCfQIsBKkSGvB9pRgXSEa4ymCh6
YN8AnjkYj+MsnoSEsS7Xnm21HKehs3qa
=ee1z
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 14 Jun 2011 07:34:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:20:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.